/**
 * SSH Server App
 * There are different ways implementing an App
 */
var sshApp = sshApp || {};  //Define App namespace, if you want.
/**
 * Constructor UNAS App
 */
sshApp.App = function () {
    this.id = 'SSH Server';
    this.name = 'SSH Server';
    this.version = '6.0.7';
    this.active = false;
    this.menuIcon = '/apps/ssh/images/logo.png?v=6.0.7&';
    this.shortcutIcon = '/apps/ssh/images/logo.png?v=6.0.7&';
    this.entryUrl = '/apps/ssh/ssh.html?v=6.0.7&';
    var self = this;
    this.sshAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('SSH Server')){
            return false;
    	}
        self.window=new MUI.Window({
            id: 'sshAppWindow',
            title: UNAS._('SSH Server'),
            icon: '/apps/ssh/images/logo_small.png?v=6.0.7&',
            width: 820,
            height: 550,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [720, 2000], 'y': [450, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/ssh/ssh.html?v=6.0.7&',
            require: {  css: ['/apps/ssh/css/ssh.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("SSH Server",'sshAppWindow')}
        });
    };
    this.sshAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('SSH Server');
        UNAS.RemoveMenu('SSH Server');
        UNAS.RemoveAppFromGroups('SSH Server', 'ControlPanel');
        //UNAS.RemoveAppFromGroups('SSH Server', 'Help');
        UNAS.RemoveAppFromApps('SSH Server');
    }
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'SSH Server', '', this.sshAppWindow);
    // new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'SSH Server', this.sshAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 7, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('SSH Server', UNAS._('SSH Server')); //translate menu
        // UNAS.SetShortcutTitle('SSH Server', UNAS._('SSH Server')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('sshAppWindow', UNAS._('SSH Server'));
        }
    }
    UNAS.LoadTranslation('/apps/ssh/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.sshAppWindow,this.sshAppUninstall);
};

new sshApp.App(); //Create app
