function getServiceInfo() {
  //加载界面完成后直接调用ajax判断当前的服务状态
  jQuery.ajax({
    url: "/wmi/index.php",
    data: JSON.stringify({
      "token": UToken,
      "cmd": 'sshserver_status_load'
    }),
    type: "post",
    dataType: "json",
    timeout: 30000,
    success: function(res) {
      var r = res.results || {};
      if (r.root) {
        jQuery("input[name='ssh_allow_root']").attr('checked', true);
      }
      if (r.sftp) {
        jQuery("input[name='ssh_sftp_enable']").attr('checked', true);
      }
      jQuery("input[name='ssh_port']").val(r.port);

      jQuery("input[name='ssh_oldssh']").val(r.ssh);
      jQuery("input[name='ssh_oldport']").val(r.port);
      jQuery("input[name='ssh_oldroot']").val(r.root);
      jQuery("input[name='ssh_oldsftp']").val(r.sftp);

      if (r.active) {
        jQuery("input[name='ssh_enable']").attr('checked', true);
        jQuery("input[name='ssh_allow_root']").attr('disabled', false);
        jQuery("input[name='ssh_sftp_enable']").attr('disabled', false);
        jQuery("input[name='ssh_port']").attr('disabled', false);
      } else {
        jQuery("input[name='ssh_allow_root']").attr('disabled', true);
        jQuery("input[name='ssh_sftp_enable']").attr('disabled', true);
        jQuery("input[name='ssh_port']").attr('disabled', true);
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
}
getServiceInfo();
// 检查port
function checkSSHPort() {
  var port = jQuery("input[name='ssh_port']").val();
  if (port != "") {
    if (!port.match("^[0-9]*$")) {
      jQuery(".ssh_port_error_tips").text(UNAS._("The port number must be an integer between 0-65535"));
      jQuery("input[name='ssh_port']").attr("class", "unas_input_error");
      return false;
    }
    port = parseInt(port);
    if (port > 65535) {
      jQuery(".ssh_port_error_tips").text(UNAS._("The port number must be an integer between 0-65535"));
      jQuery("input[name='ssh_port']").attr("class", "unas_input_error");
      return false;
    }
  } else {
    jQuery(".ssh_port_error_tips").text(UNAS._("Port number can not be empty"));
    jQuery("input[name='ssh_port']").attr("class", "unas_input_error");
    return false;
  }
  jQuery(".ssh_port_error_tips").text("");
  jQuery("input[name='ssh_port']").attr("class", "unas_input");
  return true;
}

//  设置
function clickApply() {
  var active = jQuery("input[name='ssh_enable']").is(':checked') ? 1 : 0;
  var root = jQuery("input[name='ssh_allow_root']").is(':checked') ? 1 : 0;
  var port = +jQuery("input[name='ssh_port']").val();
  var sftp = jQuery("input[name='ssh_sftp_enable']").is(':checked') ? 1 : 0;

  if (checkSSHPort()) {
    jQuery("#ssh_page_content_waiting").css("display", "block");
    jQuery("#ssh_page_waiting_logo").css("display", "block");
    jQuery.ajax({
      url: "/wmi/index.php",
      data: JSON.stringify({
        "token": UToken,
        "cmd": 'sshserver_status_save',
        "params": {
          "active": active,
          "port": port,
          "root": root,
          "sftp": sftp
        }
      }),
      dataType: "json",
      type: "post",
      timeout: 30000,
      success: function(data) {
        if (data == "portused") {
          jQuery(".ssh_port_error_tips").text(UNAS._("Port number has been occupied"));
          jQuery("input[name='ssh_port']").attr("class", "unas_input_error");
        } else {
          getServiceInfo();
        }
        jQuery('#ssh_page_content_waiting').attr("style", "display:none");
        jQuery('#ssh_page_waiting_logo').attr("style", "display:none");
      },
      error: function(XMLHttpRequest, textStatus, errorThrown) {
        alert(textStatus + ":" + errorThrown);
        jQuery('#ssh_page_content_waiting').attr("style", "display:none");
        jQuery('#ssh_page_waiting_logo').attr("style", "display:none");
      }
    });
  }
}

//当更改ssh服务状态时，对其他控件修改是否可用
function changeChecked() {
  var isChecked = jQuery("input[name='ssh_enable']").is(':checked');
  if (true == isChecked) {
    jQuery("input[name='ssh_allow_root']").attr("disabled", false);
    jQuery("input[name='ssh_sftp_enable']").attr("disabled", false);
    jQuery("input[name='ssh_port']").attr('disabled', false);
  } else if (false == isChecked) {
    jQuery("input[name='ssh_allow_root']").attr("disabled", true);
    jQuery("input[name='ssh_sftp_enable']").attr("disabled", true);
    jQuery("input[name='ssh_port']").attr('disabled', true);
  }
}
